[arch-commits] Commit in gnome-media/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Sep 27 18:31:24 EDT 2008


    Date: Saturday, September 27, 2008 @ 18:31:19
  Author: jgc
Revision: 13700

upgpkg: gnome-media 2.24.0.1-1

Modified:
  gnome-media/trunk/PKGBUILD

----------+
 PKGBUILD |   24 +++++++++++-------------
 1 file changed, 11 insertions(+), 13 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-09-27 22:25:37 UTC (rev 13699)
+++ PKGBUILD	2008-09-27 22:31:19 UTC (rev 13700)
@@ -2,32 +2,30 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=gnome-media
-pkgver=2.22.0
-pkgrel=2
+pkgver=2.24.0.1
+pkgrel=1
 pkgdesc="GNOME Media Tools"
 arch=(i686 x86_64)
 license=('GPL')
-depends=('libgnomeui>=2.22.1' 'gstreamer0.10-good-plugins' 'gstreamer0.10-base-plugins')
-makedepends=('perlxml' 'pkgconfig' 'gnome-doc-utils>=0.12.2')
+depends=('libgnomeui>=2.24.0' 'gstreamer0.10-good-plugins' 'gstreamer0.10-base-plugins')
+makedepends=('perlxml' 'pkgconfig' 'gnome-doc-utils>=0.14.0')
 url="http://www.gnome.org"
 groups=('gnome')
 options=('!libtool' '!emptydirs')
 install=gnome-media.install
-source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.22/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('e3fabb87abd2731d7f345d724b40333a')
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.24/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('d0a9b0784872cecd09038aceea22e16f')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --sysconfdir=/etc \
               --libexecdir=/usr/lib/gnome-media \
               --localstatedir=/var --disable-static \
-	      --enable-gstreamer=0.10 --disable-gnomecd \
-	      --disable-vumeter --disable-cddbslave \
 	      --disable-scrollkeeper || return 1
   make || return 1
-  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install || return 1
+  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
   
-  install -m755 -d ${startdir}/pkg/usr/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas || return 1
-  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  install -m755 -d "${pkgdir}/usr/share/gconf/schemas"
+  gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
+  rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
 }




More information about the arch-commits mailing list